<?php

namespace App\Filament\Resources\Communes\Schemas;

use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class CommuneForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('libellear')
                    ->required(),
                TextInput::make('libellefr')
                    ->required(),
                Select::make('moughataa_id')
                    ->relationship('moughataa', 'id')
                    ->required(),
            ]);
    }
}
